using System.Drawing;
namespace nft.ui.core {
    partial class MapGeneratorListBase {
        /// <summary> 
        /// 必要なデザイナ変数です。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// 使用中のリソースをすべてクリーンアップします。
        /// </summary>
        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
        protected override void Dispose(bool disposing) {
            if (disposing && (components != null)) {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region コンポーネント デザイナで生成されたコード

        /// <summary> 
        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を 
        /// コード エディタで変更しないでください。
        /// </summary>
        private void InitializeComponent() {
            this.comboList = new System.Windows.Forms.ComboBox();
            this.picPreview = new System.Windows.Forms.PictureBox();
            this.txtDescript = new System.Windows.Forms.Label();
            this.panelSetup = new System.Windows.Forms.Panel();
            this.sepalator = new System.Windows.Forms.Label();
            ((System.ComponentModel.ISupportInitialize)(this.picPreview)).BeginInit();
            this.SuspendLayout();
            // 
            // comboList
            // 
            this.comboList.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.comboList.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.comboList.Location = new System.Drawing.Point(3, 3);
            this.comboList.Name = "comboList";
            this.comboList.Size = new System.Drawing.Size(254, 20);
            this.comboList.TabIndex = 6;
            this.comboList.SelectedIndexChanged += new System.EventHandler(this.comboList_SelectedIndexChanged);
            // 
            // picPreview
            // 
            this.picPreview.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.picPreview.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.picPreview.Location = new System.Drawing.Point(259, 3);
            this.picPreview.Name = "picPreview";
            this.picPreview.Size = new System.Drawing.Size(68, 68);
            this.picPreview.TabIndex = 8;
            this.picPreview.TabStop = false;
            // 
            // txtDescript
            // 
            this.txtDescript.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.txtDescript.AutoEllipsis = true;
            this.txtDescript.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.txtDescript.Location = new System.Drawing.Point(3, 26);
            this.txtDescript.Name = "txtDescript";
            this.txtDescript.Size = new System.Drawing.Size(254, 45);
            this.txtDescript.TabIndex = 7;
            this.txtDescript.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // panelSetup
            // 
            this.panelSetup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.panelSetup.AutoScroll = true;
            this.panelSetup.Location = new System.Drawing.Point(0, 77);
            this.panelSetup.Name = "panelSetup";
            this.panelSetup.Size = new System.Drawing.Size(330, 173);
            this.panelSetup.TabIndex = 10;
            // 
            // sepalator
            // 
            this.sepalator.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.sepalator.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.sepalator.Location = new System.Drawing.Point(0, 74);
            this.sepalator.Name = "sepalator";
            this.sepalator.Size = new System.Drawing.Size(331, 2);
            this.sepalator.TabIndex = 11;
            // 
            // ContribComboPanel
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.sepalator);
            this.Controls.Add(this.panelSetup);
            this.Controls.Add(this.comboList);
            this.Controls.Add(this.picPreview);
            this.Controls.Add(this.txtDescript);
            this.Name = "ContribComboPanel";
            this.Size = new System.Drawing.Size(330, 250);
            ((System.ComponentModel.ISupportInitialize)(this.picPreview)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        protected System.Windows.Forms.ComboBox comboList;
        protected System.Windows.Forms.PictureBox picPreview;
        protected System.Windows.Forms.Label txtDescript;
        protected System.Windows.Forms.Panel panelSetup;
        private System.Windows.Forms.Label sepalator;

        private bool preview = true;
        public bool PreviewVisible {
            get { return preview; }
            set {
                preview = value;
                if (picPreview.Visible != preview) {
                    picPreview.Visible = preview;
                    FitControls();
                }
            }
        }

        public Size PreviewSize {
            get { return picPreview.ClientSize; }
            set { 
                picPreview.ClientSize = value;
                FitControls();
            }
        }

        protected override void OnLoad(System.EventArgs e) {
            base.OnLoad(e);
            if (!DesignMode) {
                FitControls();
            }
        }

        private void FitControls() {
            if (PreviewVisible) {
                picPreview.Left = ClientSize.Width - (picPreview.Width + picPreview.Margin.Right);
                int wd = picPreview.Width + picPreview.Margin.Horizontal;
                comboList.Width = ClientSize.Width - wd - comboList.Margin.Right;
                txtDescript.Width = ClientSize.Width - wd - txtDescript.Margin.Right;
            } else {
                comboList.Width = ClientSize.Width - comboList.Margin.Right;
                txtDescript.Width = ClientSize.Width - txtDescript.Margin.Right;
            }
        }

    }
}
